Portlet API (V0.7.1) : Interface PortletResponse

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortletResponse

All Known Subinterfaces:
  ActionResponse, RenderResponse

public interface PortletResponse

The `PortletResponse` is the basic interface extended by all portlet responses.

See Also:
  `ActionResponse`, `RenderResponse`

Method Summary
`void` | `addProperty(java.lang.String key, java.lang.String value)` Adds a String property to an existing key to be returned to the portal.
`java.lang.String` | `encodeURL(java.lang.String path)` Returns the encoded URL of the resource, like servlets, JSPs, images and other static files, at the given path.
`void` | `setProperty(java.lang.String key, java.lang.String value)` Sets a String property to be returned to the portal.

Method Detail

### addProperty

    public void addProperty(java.lang.String key,
                            java.lang.String value)

  Adds a String property to an existing key to be returned to the portal.

  This method allows response properties to have multiple values.

  Properties can be used by portlets to provide vendor specific information to the portal.

  Parameters:
    `key` - the key of the property to be returned to the portal
    `value` - the value of the property to be returned to the portal
  Throws:
    `java.lang.IllegalArgumentException` - if key is `null`.

### setProperty

    public void setProperty(java.lang.String key,
                            java.lang.String value)

  Sets a String property to be returned to the portal.

  Properties can be used by portlets to provide vendor specific information to the portal.

  This method resets all properties previously added with the same key.

  Parameters:
    `key` - the key of the property to be returned to the portal
    `value` - the value of the property to be returned to the portal
  Throws:
    `java.lang.IllegalArgumentException` - if key is `null`.

### encodeURL

    public java.lang.String encodeURL(java.lang.String path)

  Returns the encoded URL of the resource, like servlets, JSPs, images and other static files, at the given path.

  Some portal/portlet-container implementation may require those URLs to contain implementation specific data encoded in it. Because of that, portlets should use this method to create such URLs.

  The `encodeURL` method may include the session ID and other portal/portlet-container specific information into the URL. If encoding is not needed, it returns the URL unchanged.

  Parameters:
    `path` - the URI path to the resource. This must be either an absolute URL (e.g. `http://my.co/myportal/mywebap/myfolder/myresource.gif`) or a full path URI (e.g. `/myfolder/myresource.gif`).
  Returns:
    the encoded resource URL as string

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD